﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek DPO7354 (1 yr) Delta Time VER IEEE /9500
DATE:                  2017-07-26 11:08:09
AUTHOR:                Fluke
REVISION:              $Revision: 20339 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       2
NUMBER OF LINES:       115
CONFIGURATION:         Datron 9500
CONFIGURATION:         Fluke 9560 on channel 1
=============================================================================
#
#  Procedure Author:
#        ZY, DAC
#
#  Sources:
#        DPO7000, DSA/DPO70000, and DSA/DPO7000B Series
#        Digital Phosphor Oscilloscopes
#        Specification and Performance Verification
#        Technical Reference
#        077-0063-01
#        This document applies to firmware version 4.0.0 and above.
#
#  Compatibility:
#        MET/CAL 8.0 or later
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL?calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IEEE2        *RST;HEADER OFF
  1.002  CALL         Sub Tek DPO7000 Select Channel IEEE

  1.003  HEAD         DELTA TIME ACCURACY (Ch [V @Chan])

  1.004  IF           @Chan == 1
  1.005  RSLT         =
  1.006  RSLT         =DELTA TIME ACCURACY
  1.007  ENDIF

  1.008  RSLT         =
  1.009  RSLT         =Channel [V @Chan]
  1.010  TARGET

  1.011  IF           @Chan == 1
  1.012  PIC          dpo7000_delta_time_9500_ch1_sma
  1.013  ELSEIF       @Chan == 2
  1.014  PIC          dpo7000_delta_time_9500_ch2_sma
  1.015  ELSEIF       @Chan == 3
  1.016  PIC          dpo7000_delta_time_9500_ch3_sma
  1.017  ELSE
  1.018  PIC          dpo7000_delta_time_9500_ch4_sma
  1.019  ENDIF

  1.020  IEEE2        TRIG:A:EDGE:SOU CH[V @Chan]
  1.021  IEEE2        CH[V @Chan]:TER 50;POS -2.5
  1.022  IEEE2        MEASU:IMM:SOU CH[V @Chan];TYPE PK2PK
  1.023  IEEE         ACQ:STOPA SEQ
  1.024  MATH         MEM = 500; MEM1 = MEM
  1.025  MATH         TrigLevel = 0.15

  1.026  DO
  1.027  MATH         MEM = MEM1 + (500 - MEM) / 2

  1.028  IF           (MEM > 1500) || (MEM < 100)
  1.029  MATH         MEM = 500
  1.030  ENDIF

  1.031  9500         mVpp                         5kH            FE 7E S  L
  1.032  WAIT         [D1000]
  1.033  IEEE2        TRIG:A:LEV [V TrigLevel]
  1.034  IEEE2        ACQ:STATE RUN
  1.035  IEEE         MEASU:IMM:VALUE?[I]
  1.036  MATH         TrigLevel = MEM / 2
  1.037  MATH         MEM = MEM / 1E-3
  1.038  UNTIL        (MEM >= 498) && (MEM <= 502)

  1.039  IEEE2        ACQ:STATE RUN
  1.040  MATH         Vsour = MEM1
  1.041  IEEE2        AUTOS EXEC
  1.042  IEEE2        TRIG:A:LEV [V TrigLevel]
  1.043  IEEE2        CH[V @Chan]:SCA 100E-3;POS -2.5
  1.044  IEEE2        ACQ:SAMP RT
  1.045  IEEE2        HOR:SCA 10E-9;MODE:SAMPLER 10E+9
  1.046  IEEE2        ACQ:STATE STOP
  1.047  IEEE2        MEASU:MEAS1:SOU1 CH[V @Chan];TYP PWI;STATE ON
  1.048  IEEE2        MEASU:REFL:METH ABS;ABS:MID 0.3
  1.049  IEEE2        MEASU:STATI:COUNT RESET;WEI 1000
  1.050  IEEE2        ACQ:STATE RUN
  1.051  WAIT         -t 20 DUT Running...
  1.052  IEEE2        ACQ:STATE STOP
  1.053  IEEE2        MEASU:MEAS1:STD?[I]
  1.054  MATH         MEM = MEM / 1E-12
  1.055  MATH         Result = FMT(MEM, "%.1f") & " ps"
  1.056  EVAL   -e MEM <= 6 : Limit: ≤ 6 ps, Result: [V Result]

  2.001  HEAD         -2
  2.002  HEAD
  2.003  9500         *                                                 S
  2.004  END
